/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2009 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.editor.wizard;

import java.util.ArrayList;

import com.approximatrix.draco.application.plugin.PluginType;
import com.approximatrix.draco.application.plugin.SimpleOptionList;
import com.approximatrix.draco.application.plugin.VariableSelectionColumn;

public class PluginWizardData {

	private String visibleName = null;
	private String className = null;
	private String moduleName = null;
	private String plugin = null;
	
	private PluginType pluginType = PluginType.regression;
	
	private ArrayList<VariableSelectionColumn> vColumns = null;
	private SimpleOptionList options = null;
	
	public PluginWizardData() {
		options = new SimpleOptionList();
		vColumns = new ArrayList<VariableSelectionColumn>();
	}

	public String getVisibleName() {
		return visibleName;
	}

	public void setVisibleName(String visibleName) {
		this.visibleName = visibleName;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className.trim().replaceAll("[^A-Za-z\\d_]", "_");
	}

	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String moduleName) {
		this.moduleName = moduleName.trim().replaceAll("[^A-Za-z\\d_]", "_");
	}

	public PluginType getPluginType() {
		return pluginType;
	}

	public void setPluginType(PluginType pluginType) {
		this.pluginType = pluginType;
	}

	public ArrayList<VariableSelectionColumn> getVColumns() {
		return vColumns;
	}

	public void setVColumns(ArrayList<VariableSelectionColumn> columns) {
		vColumns = columns;
	}

	public SimpleOptionList getOptions() {
		return options;
	}

	public void setOptions(SimpleOptionList options) {
		this.options = options;
	}
	
	public void setPluginText(String plugin) {
		this.plugin = plugin;
	}
	
	public String getPluginText() {
		return this.plugin;
	}
}
